Bug 309027 - Face detection
Summary: Face detection
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Detection (show other bugs)
Version: 3.3.0
Platform: Ubuntu Packages Linux
: NOR crash with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-26 05:58 UTC by forenmail222
Modified: 2017-07-26 17:59 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments
New crash information added by DrKonqi (25.08 KB, text/plain)
2012-12-28 23:55 UTC, Mike Anderson
Details
New crash information added by DrKonqi (26.64 KB, text/plain)
2013-08-24 20:55 UTC, Jaume
Details

Note You need to log in before you can comment on or make changes to this bug.
Description forenmail222 2012-10-26 05:58:52 UTC
Application: digikam (2.5.0)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-32-generic x86_64
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
I used the facedetection for 2000 pictures or more, after 30% the program chrashes

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
[Current thread is 1 (Thread 0x7fa4f978ea00 (LWP 6247))]

Thread 20 (Thread 0x7fa4d4c01700 (LWP 6249)):
#0  0x00007fa4f2c0a303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fa4ec179036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4ec17949a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa4d4c0698b in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#4  0x00007fa4ec19a9e5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa4ee52be9a in start_thread (arg=0x7fa4d4c01700) at pthread_create.c:308
#6  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7fa4cffff700 (LWP 6250)):
#0  0x00007fa4f2c088bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fa4ec1b38cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4ec178ba4 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa4ec178fd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa4ec17949a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa4e1f47406 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#6  0x00007fa4ec19a9e5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fa4ee52be9a in start_thread (arg=0x7fa4cffff700) at pthread_create.c:308
#8  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fa4c6920700 (LWP 6252)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa4f39ec4db in wait (time=18446744073709551615, this=0x1d13e70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1d13d68, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005ca1d0 in Digikam::ScanController::run (this=0x1d13b00) at /build/buildd/digikam-2.5.0/core/digikam/database/scancontroller.cpp:647
#4  0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x1d13b00) at thread/qthread_unix.cpp:298
#5  0x00007fa4ee52be9a in start_thread (arg=0x7fa4c6920700) at pthread_create.c:308
#6  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fa4c611f700 (LWP 6253)):
#0  0x00007fa4ee52f05d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7fa4b4000a60) at pthread_mutex_unlock.c:290
#2  0x00007fa4ec1b45d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa4ec17916e in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa4f3b1a426 in QEventDispatcherGlib::processEvents (this=0x7fa4b40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fa4f3ae9c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fa4f3ae9ed7 in QEventLoop::exec (this=0x7fa4c611eb50, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fa4f39e8fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007fa4f3ac99ff in QInotifyFileSystemWatcherEngine::run (this=0x1d16630) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x1d16630) at thread/qthread_unix.cpp:298
#10 0x00007fa4ee52be9a in start_thread (arg=0x7fa4c611f700) at pthread_create.c:308
#11 0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fa4c591e700 (LWP 6255)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa4f39ec4db in wait (time=18446744073709551615, this=0x202fa70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x202f7d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa4f6df1ff1 in Digikam::ParkingThread::run (this=0x202f7c0) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x202f7c0) at thread/qthread_unix.cpp:298
#5  0x00007fa4ee52be9a in start_thread (arg=0x7fa4c591e700) at pthread_create.c:308
#6  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fa4717fa700 (LWP 7330)):
#0  __strcmp_sse2 () at ../sysdeps/x86_64/multiarch/../strcmp.S:237
#1  0x00007fa4f2b557d1 in _nl_make_l10nflist (l10nfile_list=0x7fa4f2edbe40, dirlist=0x1cf1540 "/usr/share/locale-langpack/", dirlist_len=28, mask=0, language=0x7fa4717f7c20 "de", territory=0x0, codeset=0x0, normalized_codeset=0x0, modifier=0x0, filename=0x7fa4717f7c40 "LC_MESSAGES/libphonon.mo", do_allocate=0) at ../intl/l10nflist.c:250
#2  0x00007fa4f2b53415 in _nl_find_domain (dirname=0x1cf1540 "/usr/share/locale-langpack/", locale=0x7fa4717f7c20 "de", domainname=0x7fa4717f7c40 "LC_MESSAGES/libphonon.mo", domainbinding=0x1cd69c0) at finddomain.c:88
#3  0x00007fa4f2b52c93 in __dcigettext (domainname=0x406bec8 "libphonon", msgid1=0x7fa4717f7da0 "QSQLiteResult\004Unable to fetch row", msgid2=0x0, plural=0, n=0, category=5) at dcigettext.c:642
#4  0x00007fa4f4001eb0 in dcpgettext_expr (domain=0x406bec8 "libphonon", msgctxt=<optimized out>, msgid=0x7fa4c4f1a916 "Unable to fetch row", category=5) at ../../kdecore/localization/gettext.h:208
#5  0x00007fa4f4003422 in KCatalog::translateStrict (this=0x406d120, msgctxt=0x7fa4c4f1a859 "QSQLiteResult", msgid=0x7fa4c4f1a916 "Unable to fetch row") at ../../kdecore/localization/kcatalog.cpp:263
#6  0x00007fa4f4018eac in KLocalePrivate::translateRawFrom (this=<optimized out>, catname=0x0, msgctxt=0x7fa4c4f1a859 "QSQLiteResult", msgid=0x7fa4c4f1a916 "Unable to fetch row", msgid_plural=0x0, n=0, language=0x7fa4717f84d0, translation=0x7fa4717f84c0) at ../../kdecore/localization/klocale_kde.cpp:957
#7  0x00007fa4f4015c98 in KLocalePrivate::translateQt (this=0x1cb9dd0, context=<optimized out>, sourceText=0x7fa4c4f1a916 "Unable to fetch row", comment=0x0) at ../../kdecore/localization/klocale_kde.cpp:1022
#8  0x00007fa4f400f761 in KLocale::translateQt (this=<optimized out>, context=<optimized out>, sourceText=<optimized out>, comment=<optimized out>) at ../../kdecore/localization/klocale.cpp:199
#9  0x00007fa4f3f8ffbc in KDETranslator::translate (this=<optimized out>, context=0x7fa4c4f1a859 "QSQLiteResult", sourceText=0x7fa4c4f1a916 "Unable to fetch row", message=<optimized out>) at ../../kdecore/kernel/kglobal_p.h:52
#10 0x00007fa4f3b0a6ec in QTranslator::translate (this=<optimized out>, context=<optimized out>, sourceText=<optimized out>, disambiguation=<optimized out>, n=<optimized out>) at kernel/qtranslator.cpp:1004
#11 0x00007fa4f3aeb4de in QCoreApplication::translate (context=0x7fa4c4f1a859 "QSQLiteResult", sourceText=0x7fa4c4f1a916 "Unable to fetch row", disambiguation=0x0, encoding=QCoreApplication::CodecForTr, n=-1) at kernel/qcoreapplication.cpp:1895
#12 0x00007fa4f3aeb8af in QCoreApplication::translate (context=<optimized out>, sourceText=<optimized out>, disambiguation=<optimized out>, encoding=<optimized out>) at kernel/qcoreapplication.cpp:1810
#13 0x00007fa4c4f18e94 in QSQLiteResultPrivate::fetchNext (this=0x7fa488114b40, values=..., idx=0, initialFetch=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:277
#14 0x00007fa4c4f19cef in QSQLiteResult::exec (this=0x7fa48bc684b0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:418
#15 0x00007fa4f93a4835 in QSqlQuery::exec (this=0x7fa4717f8af8) at kernel/qsqlquery.cpp:949
#16 0x00007fa4f6d851f1 in exec (query=..., this=<optimized out>) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1405
#17 Digikam::DatabaseCoreBackend::exec (this=<optimized out>, query=...) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1389
#18 0x00007fa4f6d86afb in Digikam::DatabaseCoreBackend::execQuery (this=0x1c2a660, query=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1077
#19 0x00007fa4f6d86b6a in Digikam::DatabaseCoreBackend::execQuery (this=0x1c2a660, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1022
#20 0x00007fa4f6d87295 in Digikam::DatabaseCoreBackend::execSql (this=0x1c2a660, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=0x0, lastInsertId=0x7fa4717f8b30) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:921
#21 0x00007fa4f6d92a43 in Digikam::ThumbnailDB::insertThumbnail (this=0x1c2aab0, info=..., lastInsertId=0x7fa4717f8c10) at /build/buildd/digikam-2.5.0/core/libs/database/thumbnaildb.cpp:262
#22 0x00007fa4f6dc9a58 in Digikam::ThumbnailCreator::storeInDatabase (this=<optimized out>, info=..., image=...) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:753
#23 0x00007fa4f6dcc873 in Digikam::ThumbnailCreator::store (this=0x64959e0, path=..., i=..., rect=..., isFace=true) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:389
#24 0x0000000000684a07 in Digikam::FaceIface::storeThumbnails (this=<optimized out>, thread=0x5f83e40, filePath=..., databaseFaces=..., image=...) at /build/buildd/digikam-2.5.0/core/utilities/facedetection/faceiface.cpp:240
#25 0x000000000068e420 in Digikam::DatabaseWriter::process (this=0x5f83c30, package=...) at /build/buildd/digikam-2.5.0/core/utilities/facedetection/facepipeline.cpp:570
#26 0x000000000068e767 in Digikam::DatabaseWriter::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /build/buildd/digikam-2.5.0/obj-x86_64-linux-gnu/core/digikam/facepipeline_p.moc:494
#27 0x00007fa4f3b04446 in QObject::event (this=0x5f83c30, e=<optimized out>) at kernel/qobject.cpp:1195
#28 0x00007fa4f44e4894 in notify_helper (e=0x7fa489d0a490, receiver=0x5f83c30, this=0x1a687d0) at kernel/qapplication.cpp:4559
#29 QApplicationPrivate::notify_helper (this=0x1a687d0, receiver=0x5f83c30, e=0x7fa489d0a490) at kernel/qapplication.cpp:4531
#30 0x00007fa4f44e9713 in QApplication::notify (this=0x7fffcad596d0, receiver=0x5f83c30, e=0x7fa489d0a490) at kernel/qapplication.cpp:4420
#31 0x00007fa4f521e3f6 in KApplication::notify (this=0x7fffcad596d0, receiver=0x5f83c30, event=0x7fa489d0a490) at ../../kdeui/kernel/kapplication.cpp:311
#32 0x00007fa4f3aeae9c in QCoreApplication::notifyInternal (this=0x7fffcad596d0, receiver=0x5f83c30, event=0x7fa489d0a490) at kernel/qcoreapplication.cpp:876
#33 0x00007fa4f3aeec6a in sendEvent (event=0x7fa489d0a490, receiver=0x5f83c30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#34 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x69713d0) at kernel/qcoreapplication.cpp:1500
#35 0x00007fa4f3b19f93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#36 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#37 0x00007fa4ec178d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#38 0x00007fa4ec1790a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#39 0x00007fa4ec179164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#40 0x00007fa4f3b1a3bf in QEventDispatcherGlib::processEvents (this=0x7fa4881b0b50, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#41 0x00007fa4f3ae9c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#42 0x00007fa4f3ae9ed7 in QEventLoop::exec (this=0x7fa4717f9b20, flags=...) at kernel/qeventloop.cpp:204
#43 0x00007fa4f6df166e in Digikam::WorkerObjectRunnable::run (this=0x5d129e0) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#44 0x00007fa4f39df4f2 in QThreadPoolThread::run (this=0x5f8e200) at concurrent/qthreadpool.cpp:107
#45 0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x5f8e200) at thread/qthread_unix.cpp:298
#46 0x00007fa4ee52be9a in start_thread (arg=0x7fa4717fa700) at pthread_create.c:308
#47 0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#48 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fa46d7f2700 (LWP 7332)):
[KCrash Handler]
#6  0x00007fa4f2b58425 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007fa4f2b5bb8b in __GI_abort () at abort.c:91
#8  0x00007fa4f34aa69d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#9  0x00007fa4f34a8846 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#10 0x00007fa4f34a8873 in std::terminate() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#11 0x00007fa4f34a928f in __cxa_pure_virtual () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#12 0x00007fa4f6dba5e1 in Digikam::LoadingCache::notifyNewLoadingProcess (this=0x1f504d0, process=0x2954218, description=...) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadingcache.cpp:247
#13 0x00007fa4f6dc5bdf in Digikam::PreviewLoadingTask::execute (this=0x2954040) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/previewtask.cpp:172
#14 0x00007fa4f6dae68e in Digikam::LoadSaveThread::run (this=0x6c37410) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadsavethread.cpp:118
#15 0x00007fa4f6df3ece in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x6c37530) at /build/buildd/digikam-2.5.0/core/libs/threads/dynamicthread.cpp:328
#16 0x00007fa4f39df4f2 in QThreadPoolThread::run (this=0x62e70a0) at concurrent/qthreadpool.cpp:107
#17 0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x62e70a0) at thread/qthread_unix.cpp:298
#18 0x00007fa4ee52be9a in start_thread (arg=0x7fa46d7f2700) at pthread_create.c:308
#19 0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fa473fff700 (LWP 7333)):
#0  0x00007fffcadff8de in ?? ()
#1  0x00007fa4eade815d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007fa4f3a42bb4 in do_gettime (frac=0x7fa473ffe8e8, sec=0x7fa473ffe8e0) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007fa4f3b1ab8d in QTimerInfoList::updateCurrentTime (this=0x7fa469e031e0) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007fa4f3b1aec3 in QTimerInfoList::timerWait (this=0x7fa469e031e0, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007fa4f3b1997c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fa473ffe9bc) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007fa4f3b19a25 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007fa4ec178846 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007fa4ec178f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007fa4ec179164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007fa4f3b1a426 in QEventDispatcherGlib::processEvents (this=0x7fa488225420, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007fa4f3ae9c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007fa4f3ae9ed7 in QEventLoop::exec (this=0x7fa473ffeb20, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007fa4f6df166e in Digikam::WorkerObjectRunnable::run (this=0x5b9f9e0) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#15 0x00007fa4f39df4f2 in QThreadPoolThread::run (this=0x5d40c10) at concurrent/qthreadpool.cpp:107
#16 0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x5d40c10) at thread/qthread_unix.cpp:298
#17 0x00007fa4ee52be9a in start_thread (arg=0x7fa473fff700) at pthread_create.c:308
#18 0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fa4aac32700 (LWP 7335)):
#0  0x00007fffcadff8de in ?? ()
#1  0x00007fa4eade815d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007fa4f3a42bb4 in do_gettime (frac=0x7fa4aac318e8, sec=0x7fa4aac318e0) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007fa4f3b1ab8d in QTimerInfoList::updateCurrentTime (this=0x7fa48bb8d2c0) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007fa4f3b1aec3 in QTimerInfoList::timerWait (this=0x7fa48bb8d2c0, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007fa4f3b1997c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fa4aac319bc) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007fa4f3b19a25 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007fa4ec178846 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007fa4ec178f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007fa4ec179164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007fa4f3b1a426 in QEventDispatcherGlib::processEvents (this=0x7fa4881da5e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007fa4f3ae9c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007fa4f3ae9ed7 in QEventLoop::exec (this=0x7fa4aac31b20, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007fa4f6df166e in Digikam::WorkerObjectRunnable::run (this=0x1dd90f0) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#15 0x00007fa4f39df4f2 in QThreadPoolThread::run (this=0x35a44e0) at concurrent/qthreadpool.cpp:107
#16 0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x35a44e0) at thread/qthread_unix.cpp:298
#17 0x00007fa4ee52be9a in start_thread (arg=0x7fa4aac32700) at pthread_create.c:308
#18 0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fa4a94b7700 (LWP 7336)):
#0  0x00007fa4ee52df69 in __pthread_mutex_lock (mutex=0x7fa48834d000) at pthread_mutex_lock.c:92
#1  0x00007fa4ec1b45a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa4ec178f35 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa4ec179164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa4f3b1a426 in QEventDispatcherGlib::processEvents (this=0x7fa4881ec870, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fa4f3ae9c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fa4f3ae9ed7 in QEventLoop::exec (this=0x7fa4a94b6b20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fa4f6df166e in Digikam::WorkerObjectRunnable::run (this=0x5bd7630) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007fa4f39df4f2 in QThreadPoolThread::run (this=0x5fc6d20) at concurrent/qthreadpool.cpp:107
#9  0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x5fc6d20) at thread/qthread_unix.cpp:298
#10 0x00007fa4ee52be9a in start_thread (arg=0x7fa4a94b7700) at pthread_create.c:308
#11 0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fa492bf3700 (LWP 7337)):
#0  0x00007fa4eeeae3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fa4eeeacefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fa4ee52be9a in start_thread (arg=0x7fa492bf3700) at pthread_create.c:308
#3  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fa4923f2700 (LWP 7345)):
[KCrash Handler]
#6  0x0000000000000002 in ?? ()
#7  0x00007fa4ef40a96d in Exiv2::ExifKey::clone() const () from /usr/lib/libexiv2.so.11
#8  0x00007fa4ef3b4ffd in Exiv2::Exifdatum::Exifdatum(Exiv2::Exifdatum const&) () from /usr/lib/libexiv2.so.11
#9  0x00007fa4f774d15f in ?? () from /usr/lib/libkexiv2.so.10
#10 0x00007fa4f774eb1c in KExiv2Iface::KExiv2::getExifTagData(char const*) const () from /usr/lib/libkexiv2.so.10
#11 0x00007fa4f6d6b4a0 in Digikam::DMetadata::getIccProfile (this=0x7fa4923eff20) at /build/buildd/digikam-2.5.0/core/libs/dmetadata/dmetadata.cpp:1754
#12 0x00007fa4f6c130ab in Digikam::DImgLoader::checkExifWorkingColorSpace (this=0x7fa4923f0960) at /build/buildd/digikam-2.5.0/core/libs/dimg/loaders/dimgloader.cpp:322
#13 0x00007fa4f6c18738 in Digikam::JPEGLoader::load (this=0x7fa4923f0960, filePath=..., observer=0x76b9980) at /build/buildd/digikam-2.5.0/core/libs/dimg/loaders/jpegloader.cpp:586
#14 0x00007fa4f6bf5a56 in Digikam::DImg::load (this=0x76b9b70, filePath=..., loadFlagsInt=63, observer=0x76b9980, rawDecodingSettings=...) at /build/buildd/digikam-2.5.0/core/libs/dimg/dimg.cpp:427
#15 0x00007fa4f6bf6fb5 in Digikam::DImg::load (this=0x76b9b70, filePath=..., observer=0x76b9980, rawDecodingSettings=...) at /build/buildd/digikam-2.5.0/core/libs/dimg/dimg.cpp:373
#16 0x00007fa4f6dc699a in Digikam::PreviewLoadingTask::execute (this=0x76b9970) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/previewtask.cpp:294
#17 0x00007fa4f6dae68e in Digikam::LoadSaveThread::run (this=0x6c37410) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadsavethread.cpp:118
#18 0x00007fa4f6df3ece in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x6c37530) at /build/buildd/digikam-2.5.0/core/libs/threads/dynamicthread.cpp:328
#19 0x00007fa4f39df4f2 in QThreadPoolThread::run (this=0x70c4b30) at concurrent/qthreadpool.cpp:107
#20 0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x70c4b30) at thread/qthread_unix.cpp:298
#21 0x00007fa4ee52be9a in start_thread (arg=0x7fa4923f2700) at pthread_create.c:308
#22 0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#23 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fa4913f0700 (LWP 7347)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007fa4f39eaa9b in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0x1cf2e70) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x1cf2e70, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007fa4f39e69cd in QMutex::lock (this=<optimized out>) at thread/qmutex.cpp:164
#4  0x00007fa4f6d90d74 in Digikam::ThumbnailDatabaseAccess::ThumbnailDatabaseAccess (this=<optimized out>) at /build/buildd/digikam-2.5.0/core/libs/database/thumbnaildatabaseaccess.cpp:87
#5  0x00007fa4f6dc991a in Digikam::ThumbnailCreator::storeInDatabase (this=<optimized out>, info=..., image=...) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:736
#6  0x00007fa4f6dcf199 in Digikam::ThumbnailCreator::load (this=0x218cf20, path=..., rect=..., pregenerate=true) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:264
#7  0x00007fa4f6dd011d in Digikam::ThumbnailCreator::pregenerate (this=<optimized out>, path=...) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:180
#8  0x00007fa4f6dde8e0 in Digikam::ThumbnailLoadingTask::execute (this=0x71d62b0) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailtask.cpp:79
#9  0x00007fa4f6dae68e in Digikam::LoadSaveThread::run (this=0x21920d0) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadsavethread.cpp:118
#10 0x00007fa4f6df3ece in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x218d1b0) at /build/buildd/digikam-2.5.0/core/libs/threads/dynamicthread.cpp:328
#11 0x00007fa4f39df4f2 in QThreadPoolThread::run (this=0x41491f0) at concurrent/qthreadpool.cpp:107
#12 0x00007fa4f39ebfcb in QThreadPrivate::start (arg=0x41491f0) at thread/qthread_unix.cpp:298
#13 0x00007fa4ee52be9a in start_thread (arg=0x7fa4913f0700) at pthread_create.c:308
#14 0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa47b7fe700 (LWP 7402)):
#0  0x00007fa4eeeae3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fa4eeeacefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fa4ee52be9a in start_thread (arg=0x7fa47b7fe700) at pthread_create.c:308
#3  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa47affd700 (LWP 7403)):
#0  0x00007fa4eeeae3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fa4eeeacefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fa4ee52be9a in start_thread (arg=0x7fa47affd700) at pthread_create.c:308
#3  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fa47a7fc700 (LWP 7405)):
#0  0x00007fa4eeeae3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fa4eeeacefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fa4ee52be9a in start_thread (arg=0x7fa47a7fc700) at pthread_create.c:308
#3  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa479ffb700 (LWP 7408)):
#0  0x00007fa4eeeae3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fa4eeeacefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fa4ee52be9a in start_thread (arg=0x7fa479ffb700) at pthread_create.c:308
#3  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa478ff9700 (LWP 7419)):
#0  0x00007fa4eeeae3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fa4eeeacefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fa4ee52be9a in start_thread (arg=0x7fa478ff9700) at pthread_create.c:308
#3  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa4737fe700 (LWP 7550)):
#0  0x00007fa4eeeae3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fa4eeeacefe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fa4ee52be9a in start_thread (arg=0x7fa4737fe700) at pthread_create.c:308
#3  0x00007fa4f2c15cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa4f978ea00 (LWP 6247)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007fa4f39eaa9b in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0x1f42f10) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x1f42f10, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007fa4f39e686d in QMutex::lockInternal (this=<optimized out>) at thread/qmutex.cpp:450
#4  0x00007fa4f6dbabf2 in Digikam::ClassicLoadingCacheFileWatch::slotUpdateDirWatch (this=0x1f42780) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadingcache.cpp:459
#5  0x00007fa4f3b04446 in QObject::event (this=0x1f42780, e=<optimized out>) at kernel/qobject.cpp:1195
#6  0x00007fa4f44e4894 in notify_helper (e=0x7fa457c3cdd0, receiver=0x1f42780, this=0x1a687d0) at kernel/qapplication.cpp:4559
#7  QApplicationPrivate::notify_helper (this=0x1a687d0, receiver=0x1f42780, e=0x7fa457c3cdd0) at kernel/qapplication.cpp:4531
#8  0x00007fa4f44e9713 in QApplication::notify (this=0x7fffcad596d0, receiver=0x1f42780, e=0x7fa457c3cdd0) at kernel/qapplication.cpp:4420
#9  0x00007fa4f521e3f6 in KApplication::notify (this=0x7fffcad596d0, receiver=0x1f42780, event=0x7fa457c3cdd0) at ../../kdeui/kernel/kapplication.cpp:311
#10 0x00007fa4f3aeae9c in QCoreApplication::notifyInternal (this=0x7fffcad596d0, receiver=0x1f42780, event=0x7fa457c3cdd0) at kernel/qcoreapplication.cpp:876
#11 0x00007fa4f3aeec6a in sendEvent (event=0x7fa457c3cdd0, receiver=0x1f42780) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#12 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1a064c0) at kernel/qcoreapplication.cpp:1500
#13 0x00007fa4f3b19f93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#14 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#15 0x00007fa4ec178d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#16 0x00007fa4ec1790a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007fa4ec179164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007fa4f3b1a3bf in QEventDispatcherGlib::processEvents (this=0x1a07da0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#19 0x00007fa4f458cd5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#20 0x00007fa4f3ae9c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#21 0x00007fa4f3ae9ed7 in QEventLoop::exec (this=0x7fffcad59550, flags=...) at kernel/qeventloop.cpp:204
#22 0x00007fa4f3aeef67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#23 0x000000000048bc5d in main (argc=5, argv=<optimized out>) at /build/buildd/digikam-2.5.0/core/digikam/main/main.cpp:232

Possible duplicates by query: bug 302437, bug 293418.

Reported using DrKonqi
Comment 1 caulier.gilles 2012-10-26 06:59:58 UTC
Crash appears in Exiv2 shared library. Go to Help/Components Info dialog and Copy & Paste content here...

Gilles Caulier
Comment 2 Mike Anderson 2012-12-28 23:55:35 UTC
Created attachment 76072 [details]
New crash information added by DrKonqi

digikam (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed: I was trying out the face recognition in digikam feature for the first time -- building the data base of photos with faces.  I have over 30K photos.  I was not there when when the crach happened, but the last time I checked it was about 75% complete (after about 3 hours).

-- Backtrace (Reduced):
#6  0x00007f42981ed425 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f42981f0b8b in __GI_abort () at abort.c:91
[...]
#12 0x00007f429c44f5e1 in Digikam::LoadingCache::notifyNewLoadingProcess (this=0x225dde0, process=0x71b76b8, description=...) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadingcache.cpp:247
#13 0x00007f429c45abdf in Digikam::PreviewLoadingTask::execute (this=0x71b74e0) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/previewtask.cpp:172
#14 0x00007f429c44368e in Digikam::LoadSaveThread::run (this=0x71e89c0) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadsavethread.cpp:118
Comment 3 caulier.gilles 2013-04-21 10:45:59 UTC
*** Bug 318640 has been marked as a duplicate of this bug. ***
Comment 4 Jaume 2013-08-24 20:55:46 UTC
Created attachment 81899 [details]
New crash information added by DrKonqi

digikam (3.3.0) on KDE Platform 4.11.00 using Qt 4.8.4

- What I was doing when the application crashed:

Every time I try to scan for face detection my collection of thousand pictures (+20k), my RAM memory is filled up quickly until it is full and then starts with the swap bringing the system very slow. The same occurs if just playing with assigned face tags (confirming them, removing, creating new ones...).

-- Backtrace (Reduced):
#6  0x00007f0ce76df037 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007f0ce76e2698 in __GI_abort () at abort.c:90
[...]
#12 0x00007f0ce858770d in QThreadPoolThread::run (this=0x3932100) at concurrent/qthreadpool.cpp:114
#13 0x00007f0ce8593bec in QThreadPrivate::start (arg=0x3932100) at thread/qthread_unix.cpp:338
#14 0x00007f0ce2ae7f8e in start_thread (arg=0x7f0caa573700) at pthread_create.c:311
Comment 5 caulier.gilles 2014-05-16 07:29:21 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 6 caulier.gilles 2014-06-11 21:30:56 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 7 caulier.gilles 2014-06-11 21:40:24 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 308645, bug 301611, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 8 caulier.gilles 2014-06-18 14:40:23 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 308645, bug 301611, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 9 caulier.gilles 2014-06-24 13:10:24 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 308645, bug 301611, bug 297558, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 10 caulier.gilles 2014-06-24 13:53:44 UTC
With next digiKam 4.1.0, a lots of improvements/fixes have be done around face management. Please give us a fresh feedback.

Note i recommend to delete face recognition database to prevent dysfunction due to possible wrong data store in this container. Look where file is located in my computer :

[gilles@localhost database]$ pwd
/home/gilles/.kde4/share/apps/libkface/database
[gilles@localhost database]$ ls -al
total 397028
drwx------ 2 gilles gilles      4096 juin  24 14:22 ./
drwx------ 3 gilles gilles      4096 juin  18 19:08 ../
-rw-r--r-- 1 gilles gilles 406543360 juin  24 14:22 recognition.db
[gilles@localhost database]$
Comment 11 caulier.gilles 2014-08-24 09:04:44 UTC
We need a fresh feedback of this file using last digiKam 4.2.0

Gilles Caulier
Comment 12 caulier.gilles 2015-06-25 13:12:57 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 13 caulier.gilles 2015-08-20 06:54:20 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 14 caulier.gilles 2016-07-14 05:54:40 UTC
With next 5.1.0 release, a lots of investigations have be done around OpenCV
face module integration with digiKam Face Engine.
See bug #365202 history for details.
I close this file now. Don't hesistate to re-open if necessary.
Gilles Caulier